<template>
	<div class="consolt">
		<el-input
			class="text"
			type="textarea"
			autosize
			placeholder="请输入内容"
			v-model="textarea1">
		</el-input> <br/>
		<div class="boxP" v-if="status">
			<p><span>cpu序列号:</span><i>{{cpuId}}</i></p>
			<!-- <p><span>cpuIdRsa:</span><i>{{cpuIdRsa}}</i></p> -->
			<p><span>主板序列号:</span><i>{{boardId}}</i></p>
			<!-- <p><span>boardIdRsa:</span><i>{{boardIdRsa}}</i></p> -->
		</div>
		<br/>
		<el-button type="primary" @click="getData()">解码信息</el-button>
	</div>
</template>
<script>
export default {
	data(){
		return{
			textarea1:"",
			status:false,
			cpuId:"123",
			// cpuIdRsa:"456",
			boardId:"789",
			// boardIdRsa:"000"
		}
	},
	mounted(){
		
	},
	methods: {
		// 解码
		getData:function(){
			let vm = this;
				vm.status = true;
				// encodeURIComponent();
				if(vm.textarea1 == ""){
					vm.$message({
						message: '解码信息不能为空！',
						type: 'warning'
					});
				}else{
					let params = {
							serialNumberMixRSA : encodeURIComponent(vm.textarea1)
						} 
					vm.$axios({
						method: 'GET',
						url: '/RsaEncry/ComInfoController/getComInfo',
						params: params,
					}).then(res=>{
						let rs = res.data;
							if(rs.code == 1){
								vm.cpuId = rs.data.cpuId;
								vm.boardId = rs.data.boardId;
							}else{
								vm.$message({
									message: '解码失败，请重试！',
									type: 'warning'
								});
							}
					})
				}
		}
	},
}
</script>
<style scoped>
	.consolt{
		text-align: center;
	}
	.text{
		width: 60%;
		margin-bottom: 50px;
		
	}
	/deep/.el-textarea__inner{
		min-height: 300px !important;
	}
	.boxP{
		width: 60%;
		margin-bottom: 20px;
		display: inline-block;
		text-align: left;
	}
	
	.boxP span{
		display: inline-block;
		width: 160px;
		text-align: right;
		margin-right: 40px;
	}
	.boxP i{
		color: red;
	}
</style>